import { defineStore } from 'pinia'

export const useGamesKingStore = defineStore('gamesKing', {
  state: () => ({
    checkDate: '', // 对应几号
    checkStatus: false, // 是否已看过
  }),

  actions: {
    setGamesKing(checkDate, checkStatus) {
      this.checkDate = checkDate
      this.checkStatus = checkStatus
    },
  },

  persist: true,
})
